local StoneGateV3 = ...

-- Register crenation model asset
StoneGateV3:registerAssetId("models/crenationMachicolation.fbx/Prefab", "SGV3JRV_WALL_CRENATION_MACHICOLATION_PREFAB")

-- Register new material for the wall texture
--StoneGateV3:register({
--	DataType = "MATERIAL",
--	Id = "MATERIAL_SGV3JRV_WALL",
--	HasAlphaTest = false,
--	AlbedoTexture = "RockWalls.png"
--})

-- Register new material for the wall top texture
--StoneGateV3:register({
--	DataType = "MATERIAL",
--	Id = "MATERIAL_SGV3JRV_WALL_TOP",
--	HasAlphaTest = false,
--	AlbedoTexture = "CastleRockTextureTestVersion2.png"
--})

-- Register the wall asset
StoneGateV3:register({
	DataType = "WALL_CONFIG",
	Id = "SGV3JRV_WALL_MACHICOLATION",
	WallConfigName = "SGV3JRV_WALL_MACHICOLATION",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_SGV3JRV_WALL",
	MaterialTop = "MATERIAL_SGV3JRV_WALL_TOP",
	Crenation = "SGV3JRV_WALL_CRENATION_MACHICOLATION_PREFAB",
	CrenationDistance = 1.35,
	StepLength = 4,
	Width = 2,
	Height = 9,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 10.15,
	CrenationOffsetZ = 0.27

})
